
Infrastructure - Bug #8612

Improperly formatted Alternate Data Access URLs

2018-06-12 22:37 - Bryce Mecum

Status: Closed Start date: 2018-06-12

Priority: Normal Due date: 2018-06-15

Assignee: Bryce Mecum % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

If I go to

https://search.dataone.org/#view/urn:uuid:8d639e70-55eb-40aa-b1a4-29712fd31b63

and look at he underlying URL in the Address field, I see:

https://search.dataone.org/%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20ht

tp://data.eol.ucar.edu/codiac/dss/id=102.036%0A

which should be 

http://data.eol.ucar.edu/codiac/dss/id=102.036%0A

Looks like the underlying XSLT isn't going deep enough down the path hierarchy

History

#1 - 2018-06-12 22:37 - Bryce Mecum

- Assignee set to Bryce Mecum

- Due date set to 2018-06-15

#2 - 2018-06-12 22:44 - Bryce Mecum

Fixed by https://github.com/NCEAS/metacat/commit/35e409508e3d0a77fcb95129146ff8811eb1c615

Jing, can this get targetted for the next Metacat and CCI release please?

#3 - 2018-06-13 00:05 - Jing Tao

- % Done changed from 0 to 100

- Status changed from New to Closed

Will be included in the metacat 2.9.0 release.

#4 - 2018-06-13 00:06 - Jing Tao

- Category set to Metacat
